Bug 1001052 - Different set of libraries in library distribution and maven repository
Different set of libraries in library distribution and maven repository
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1010419
  Show dependency treegraph
 
Reported: 2013-08-26 08:12 EDT by Martin Gencur
Modified: 2014-04-28 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2013-08-26 08:12:29 EDT
Affects milestone DR3.

These are the sets of libraries and IMO they should be the same or we should give a good explanation why they're different.

Files existing in Maven repo but missing in library distribution
----------------------------------------------------------------
c3p0-0.9.1.2.jar
cache-api-0.8.jar
freemarker-2.3.19-redhat-1.jar
i18nlog-1.0.10.jar
infinispan-jcache-6.0.0.Alpha3-redhat-1.jar
infinispan-server-core-6.0.0.Alpha3-redhat-1.jar
infinispan-server-hotrod-6.0.0.Alpha3-redhat-1.jar
infinispan-server-memcached-6.0.0.Alpha3-redhat-1.jar
jdom-1.0.jar
lucene-core-3.6.2-redhat-1.jar
netty-3.6.6.Final-redhat-1.jar
rhq-core-native-system-4.4.0.JON310GA.jar
rhq-core-util-4.4.0.JON310GA.jar
scala-library-2.10.2.redhat-1.jar
xpp3-1.1.4c-redhat-2.jar
xpp3_min-1.1.4c-redhat-2.jar
xstream-1.4.1-redhat-2.jar

Files existing in library distribution but missing in Maven repo
----------------------------------------------------------------
antlr-2.7.7-redhat-2.jar
commons-codec-1.4-redhat-2.jar
commons-io-2.1-redhat-2.jar
commons-lang-2.6-redhat-2.jar
commons-pool-1.6-redhat-4.jar
hibernate-commons-annotations-4.0.1.Final-redhat-2.jar
infinispan-cdi-6.0.0.Alpha3-redhat-1.jar
infinispan-query-6.0.0.Alpha3-redhat-1.jar
jackson-core-asl-1.9.9-redhat-2.jar
jackson-mapper-asl-1.9.9-redhat-2.jar
jbossjts-jacorb-4.17.4.Final-redhat-2.jar
jboss-logging-3.1.2.GA-redhat-1.jar
jcip-annotations-1.0-redhat-2.jar
log4j-1.2.16-redhat-2.jar
slf4j-api-1.7.2-redhat-1.jar
Comment 2 Tristan Tarrant 2013-08-26 09:24:34 EDT
I think we should avoid having jcache in both places, since it is not targeted for productization. Work is ongoing upstream to drop the dependency between cdi and jcache.
Comment 3 Martin Gencur 2013-09-10 07:53:37 EDT
Status for DR4:

Files existing in Maven repo but missing in library distribution
----------------------------------------------------------------
activation-1.1.1-redhat-2.jar
aesh-0.33.3-redhat-1.jar
c3p0-0.9.1.2.jar
cache-api-0.8.jar
cdi-api-1.0-SP4-redhat-2.jar
commons-pool-1.6-redhat-4-tomcat.jar
freemarker-2.3.19-redhat-1.jar
getopt-1.0.13-redhat-2.jar
hibernate-commons-annotations-4.0.1.Final-redhat-2.jar
hibernate-search-analyzers-4.4.0.Alpha1.jar
httpclient-4.2.1-redhat-1.jar
httpcore-4.2.1-redhat-1.jar
i18nlog-1.0.10.jar
infinispan-jcache-6.0.0.Alpha4-redhat-1.jar
infinispan-remote-query-server-6.0.0.Alpha4-redhat-1.jar
infinispan-server-core-6.0.0.Alpha4-redhat-1.jar
infinispan-server-hotrod-6.0.0.Alpha4-redhat-1.jar
infinispan-server-memcached-6.0.0.Alpha4-redhat-1.jar
jansi-1.9-redhat-1.jar
javassist-3.15.0-GA-redhat-2.jar
javax.inject-1-redhat-3.jar
jboss-annotations-api_1.1_spec-1.0.1.Final-redhat-2.jar
jboss-interceptors-api_1.1_spec-1.0.1.Final-redhat-2.jar
jboss-jaxrs-api_1.1_spec-1.0.1.Final-redhat-2.jar
jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2.jar
jcip-annotations-1.0-redhat-4.jar
jcl-over-slf4j-1.7.2-redhat-1.jar
jdom-1.0.jar
lucene-core-3.6.2.jar
netty-3.6.6.Final-redhat-1.jar
resteasy-jaxrs-2.3.6.Final-redhat-1.jar
rhq-core-native-system-4.4.0.JON310GA.jar
rhq-core-util-4.4.0.JON310GA.jar
scala-library-2.10.2.redhat-1.jar
scannotation-1.0.2-redhat-2.jar
slf4j-api-1.7.2-redhat-1.jar
xpp3-1.1.4c-redhat-2.jar
xpp3_min-1.1.4c-redhat-2.jar
xstream-1.4.1-redhat-2.jar

Files existing in library distribution but missing in Maven repo
----------------------------------------------------------------
infinispan-cachestore-leveldb-6.0.0.Alpha4-redhat-1.jar
infinispan-cachestore-remote-6.0.0.Alpha4-redhat-1.jar
infinispan-cachestore-rest-6.0.0.Alpha4-redhat-1.jar
infinispan-cdi-6.0.0.Alpha4-redhat-1.jar
jcip-annotations-1.0-redhat-2.jar
narayana-jta-4.17.4.Final-redhat-2.jar
Comment 5 Tristan Tarrant 2013-09-23 01:51:51 EDT
Requesting additional run for ER1
Comment 6 Martin Gencur 2013-09-23 08:47:47 EDT
The diff for ER1 is below.

A few notes:
* the maven repo contains some libraries that we agreed to be server-side libraries and we don't want to ship them in the maven repo or library distro
(infinispan-server-core,infinispan-server-hotrod,infinispan-server-memcached,jboss-jaxrs-api,netty,scala,xpp,xstream,resteasy-jaxrs,infinispan-cli-server)
* other redundant libs - lucene-core-3.6.2 (we already ship this library with -redhat-1 suffix), rhq

Files existing in Maven repo but missing in library distribution
----------------------------------------------------------------
activation-1.1.1-redhat-2.jar
c3p0-0.9.1.2.jar
commons-pool-1.6-redhat-4-tomcat.jar
freemarker-2.3.19-redhat-1.jar
infinispan-core-5.2.4.Final-redhat-1.jar
infinispan-jcache-6.0.0.Beta1-redhat-1.jar
infinispan-remote-query-client-6.0.0.Beta1-redhat-1.jar
infinispan-remote-query-server-6.0.0.Beta1-redhat-1.jar
infinispan-server-core-6.0.0.Beta1-redhat-1.jar
infinispan-server-hotrod-6.0.0.Beta1-redhat-1.jar
infinispan-server-memcached-6.0.0.Beta1-redhat-1.jar
javassist-3.15.0-GA-redhat-2.jar
jboss-jaxrs-api_1.1_spec-1.0.1.Final-redhat-2.jar
jcip-annotations-1.0-redhat-4.jar
lucene-core-3.6.2.jar
netty-3.6.6.Final-redhat-1.jar
org.osgi.core-4.2.0-redhat-3.jar
protobuf-java-2.5.0.jar
protostream-1.0.0.Alpha6-redhat-1.jar
resteasy-jaxrs-2.3.6.Final-redhat-1.jar
rhq-core-native-system-4.4.0.JON310GA.jar
rhq-core-util-4.4.0.JON310GA.jar
scala-library-2.10.2.redhat-1.jar
scannotation-1.0.2-redhat-2.jar
staxmapper-1.1.0.Final-redhat-2.jar
xpp3-1.1.4c-redhat-2.jar
xpp3_min-1.1.4c-redhat-2.jar
xstream-1.4.1-redhat-2.jar

Files existing in library distribution but missing in Maven repo
----------------------------------------------------------------
commons-collections-3.2.1-redhat-2.jar
guava-13.0.1-redhat-1.jar
hawtjni-runtime-1.8.jar
infinispan-adaptor52x-6.0.0.Beta1-redhat-1.jar
infinispan-cachestore-leveldb-6.0.0.Beta1-redhat-1.jar
infinispan-cachestore-remote-6.0.0.Beta1-redhat-1.jar
infinispan-cachestore-rest-6.0.0.Beta1-redhat-1.jar
infinispan-cdi-6.0.0.Beta1-redhat-1.jar
infinispan-cli-client-6.0.0.Beta1-redhat-1.jar
infinispan-cli-server-6.0.0.Beta1-redhat-1.jar
jboss-logmanager-1.4.3.Final-redhat-1.jar
jcip-annotations-1.0-redhat-2.jar
narayana-jta-4.17.7.Final-redhat-4.jar

Note You need to log in before you can comment on or make changes to this bug.